package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.BaseExample;
import com.lightinit.hsdataportal.entity.Notification;
import com.lightinit.hsdataportal.entity.NotificationExample;
import java.util.List;

import com.lightinit.hsdataportal.model.NotificationListModel;
import org.apache.ibatis.annotations.Param;

public interface NotificationMapper {
    long countByExample(NotificationExample example);

    int deleteByExample(NotificationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Notification record);

    int insertSelective(Notification record);

    List<Notification> selectByExampleWithBLOBs(NotificationExample example);

    List<Notification> selectByExample(NotificationExample example);

    Notification selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Notification record, @Param("example") NotificationExample example);

    int updateByExampleWithBLOBs(@Param("record") Notification record, @Param("example") NotificationExample example);

    int updateByExample(@Param("record") Notification record, @Param("example") NotificationExample example);

    int updateByPrimaryKeySelective(Notification record);

    int updateByPrimaryKeyWithBLOBs(Notification record);

    int updateByPrimaryKey(Notification record);

    List<NotificationListModel> getNotificationIndex(@Param("pager") BaseExample.Page pager, @Param("id") long id);

    long getNotificationCount(@Param("id")long id);
}